﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;
using System.Xml.Serialization;
using System.Xml.Linq;
using System.Xml;
using System.Data;
using Oracle.ManagedDataAccess.Client;
using System.Reflection;
using System.Globalization;

namespace OracleTesting
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                string connectString = "Data Source=(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=localhost)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME = XE)));User Id=SYSTEM;Password=xxxx";
                using (var connection = new OracleConnection(connectString))
                {
                    connection.Open();
                    OracleCommand command = new OracleCommand("exec getEmployeeData(:InputParam)");

                    try
                    {
                        using (command.Connection = connection)
                        {
                            using (var reader = command.ExecuteReader())
                            {
                                DataTable dataTable = new DataTable();
                                dataTable.Load(reader);
                                Console.Write(dataTable);
                            }
                        }
                    }
                    catch (Exception ex)
                    {
                        Console.Write(ex.Message);
                        Console.ReadLine();
                    }
                    finally
                    {
                        connection.Close();
                    }
                }
            }
            catch (Exception ex)
            {
                Console.Write(ex.Message);
            }
        }
    }
}
